function LiveIssuesPagedDisplay(rootEl, config) {
  PagedDisplay.call(this, rootEl, config);
}

LiveIssuesPagedDisplay.inheritsFrom(PagedDisplay);

// protected override
LiveIssuesPagedDisplay.prototype.renderPage = function(items) {
  $(this.rootEl).empty();
  var issues = [[]];
  for(var i = 0; i < items.length; i++) {
    items[i].issueId = 'issue' + i;
    issues[0].push({info: items[i], naviId: items[i].issueId});
  }
  var html = new EJS({url: 'templates/issues.ejs'}).render({issues: items});
  widgetAPI.putInnerHTML(this.rootEl, html);

  return issues;
}

// protected override
LiveIssuesPagedDisplay.prototype.getPosByPageOffset = function(pageOffset) {
  return {x: 0, y: pageOffset};
}

