var CheckVersion = {
  // public
  // config: {
  //   continueCallback : {scope, fn}
  //   exitCallback: {scope, fn}
  // }
  check: function(config) {
    var c = config || {};
    var self = this;
    ModelsFactory.getVersion().get({callback: {scope: self, fn: function(version){
      var updateExists = (version && version.lastVersion && version.curVersion && version.curVersion.name != version.lastVersion.name );
      if (updateExists) {
        var note = WidgetsFactory.getNotificationScreen();
        note.show({message: Locale.t('CheckVersion.UpdateNeeds'),
          buttons: [
            { label: Locale.t('CheckVersion.ExitAndUpdate'), callback: { scope: self,
                fn: function() {
                  note.hide();
                  c.exitCallback && c.exitCallback.fn.call(c.exitCallback.scope);
                }
            }},
            { label: Locale.t('CheckVersion.CloseAndContinue'), hideAction: true, callback: { scope: self,
                fn: function() {
                  note.hide();
                  c.continueCallback && c.continueCallback.fn.call(c.continueCallback.scope);
                }
            }}
          ],
          returnCallback: {scope: self, fn: function() {
            c.continueCallback && c.continueCallback.fn.call(c.continueCallback.scope);
          }}
        });
      } else {
        c.continueCallback && c.continueCallback.fn.call(c.continueCallback.scope);
      }
    }}});
  }
}
