var LangResource = {
  text: {
    // Main Menu
    'MM.Channels': 'ТВ',
    'MM.Channels.All': 'Все',
    'MM.Channels.Favourites': 'Избранное',
    'MM.Cinema': 'Архив',
    'MM.Queue': 'Телелист',
    'MM.Account': 'Кабинет',

    // Navigation help bar
    'HB.Return': 'Назад',
    'HB.ToMM': 'В меню',
    'HB.AddChannelToFav': 'В избранное',
    'HB.RemoveChannelFromFav': 'Из избранного',
    'HB.TypingChannel': 'Выбрать канал',
    'HB.Reload': 'Обновить',

    // AccountScreen
    'Account.Subscription': 'Подписка',
    'Account.SubActiveTill': 'Подписка активна до',
    'Account.SubInactive': 'Неактивна',
    'Account.Updates': 'Обновления',
    'Account.CurrentVersion': 'Установленная версия: ',
    'Account.LastVersion': 'Актуальная версия: ',
    'Account.NoInfo': 'Нет данных',
    'Account.UpdateNeeds': 'Необходимо произвести обновление приложения.',
    'Account.UpdateNoNeeds': 'Обновление не требуется',
    'Account.Changelog': 'В последней версии:',
    'Account.UpdateAdvice': 'Чтобы обновить приложение, выберите пункт "Настройки->Разработка->Синхронизация приложений" в меню телевизора.',

    // LiveScreen channel menu
    'Live.ChannelMenu.ShowLive': 'Смотреть прямой эфир',
    'Live.ChannelMenu.ShowTimeShift': 'Смотреть со сдвигом',
    'Live.ChannelMenu.AddToFav': 'Добавить в избранное',
    'Live.ChannelMenu.RemoveFromFav': 'Удалить из избранного',

    // LiveScreen
    'Live.CompleteDialog.ShowNextAirtime': 'Смотреть следующую передачу или вернуться к списку передач?',
    'Live.CompleteDialog.ShowLive': 'Смотреть прямой эфир или вернуться к списку передач?',
    'Live.CompleteDialog.Next': 'Смотреть',
    'Live.CompleteDialog.Back': 'Вернуться',

    // FilmScreen
    'Film.Menu.ShowBeginning': 'Смотреть с начала',
    'Film.Menu.ShowHistory': 'Продолжить просмотр',
    'Film.Menu.RemoveFromQueue': 'Удалить из телелиста',
    'Film.Menu.AddToQueue': 'Добавить в очередь',

    // WaitingScreen
    'Waiting.Loading': 'Загрузка...',
    'Waiting.Authorize': 'Авторизация...',
    'Waiting.Cancel': 'Отмена',

    // LoginErrorScreen
    'LoginError.SubscriptionInactive': 'Просьба оплатить доступ на странице http://tvteka.com/payment',
    'LoginError.StbInactive': 'Опция просмотра на устройствах не подключена.<br>Подключите платную опцию доступа с приставок в личном кабинете сервиса.',
    'LoginError.ConfirmTokenFail': 'Код не был подтвержден',
    'LoginError.Retry': 'Получить новый',
    'LoginError.Exit': 'Выход',

    // ConfirmTokenCodeScreen
    'ConfirmToken.Header': 'Добро пожаловать в TVTEKA',
    'ConfirmToken.Message': '<ol><li>Зарегистрируйтесь на <span class="link">tvteka.com</span>, используя компьютер</li><li>Откройте в браузере <span class="link">tvkeka.com/account/devices</span></li><li>Введите код</li></ol>',
    'ConfirmToken.Retry': 'Получить новый код',

    // ErrorScreen, network errrors
    'RequestErrors.Unknown': 'Не удалось установить соединение с сервером. Повторите попытку позже.',
    'RequestErrors.Timeout': 'Не удалось установить соединение с сервером. Проверьте подлючение к сети интернет.',
    'RequestErrors.ServiceUnavailable': 'Не удалось установить соединение с сервером. Повторите попытку позже.',
    'RequestErrors.InternalServerError': 'Не удалось установить соединение с сервером. Повторите попытку позже.',

    // ChannelsScreen, Channels display
    'Channels.EmptyFav': 'Переключитесь в основном меню в раздел ТВ->Все и отберите свои любимые каналы с помощью кнопки ',

    // QueueScreen, films display
    'Queue.EmptyFav': 'Ваш телелист еще пуст. Добавьте в телелист ваши любимые передачи.',

    // Check version notification
    'CheckVersion.UpdateNeeds': 'Доступна новая версия приложения. Рекомендуется произвести обновление.',
    'CheckVersion.CloseAndContinue': 'Продолжить',
    'CheckVersion.ExitAndUpdate': 'Выйти и обновить',

    // Notifications
    'Notification.Accept': 'Ок',
    'Notification.Cancel': 'Отмена',

    'Notification.VideoAccess': 'Видео недоступно. Попробуйте авторизоваться.',
    'Notification.Disconnected': 'Произошел разрыв соединения. Передача будет запущена заново.',

    //
    'Menu.Back': 'Назад'
  }
}
